11.4. Configurazione delle Applicazioni
Indietro | Capitolo 11. Configurazione e Messa a Punto | Avanti

## 11.4. Configurazione delle Applicazioni

Tipicamente, le applicazioni installate hanno i propri file di configurazione, con la loro sintassi, ecc. È importante che questi file siano tenuti separati dal sistema di base, in maniera da essere facilmente individuati e gestiti dagli strumenti di gestione dei pacchetti.

In genere, questi file vengono installati in `/usr/local/etc`. Nel caso in cui un'applicazione abbia un grande numero di file di configurazione, verrà creata una sottodirectory per contenerli.

Normalmente, quando viene installato un pacchetto, vengono installati anche file di configurazione d'esempio. In genere questi vengono identificati da un suffisso `.default`. Se non ci sono file di configurazione esistenti per l'applicazione, verranno creati copiando i file `.default`.

Ad esempio, considera il contenuto della directory `/usr/local/etc/apache`:

    -rw-r--r--  1 root  wheel   2184 May 20  1998 access.conf
    -rw-r--r--  1 root  wheel   2184 May 20  1998 access.conf.default
    -rw-r--r--  1 root  wheel   9555 May 20  1998 httpd.conf
    -rw-r--r--  1 root  wheel   9555 May 20  1998 httpd.conf.default
    -rw-r--r--  1 root  wheel  12205 May 20  1998 magic
    -rw-r--r--  1 root  wheel  12205 May 20  1998 magic.default
    -rw-r--r--  1 root  wheel   2700 May 20  1998 mime.types
    -rw-r--r--  1 root  wheel   2700 May 20  1998 mime.types.default
    -rw-r--r--  1 root  wheel   7980 May 20  1998 srm.conf
    -rw-r--r--  1 root  wheel   7933 May 20  1998 srm.conf.default

Le differenze nelle dimensioni dei file mostrano che solo `srm.conf` è stato modificato. Una successiva installazione di Apache dai port non sovrascriverà questo file modificato.

Indietro | Risali | Avanti
11.3. Configurazione Principale | Partenza | 11.5. Avvio dei Servizi

Questo, ed altri documenti, possono essere scaricati da ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/

Per domande su FreeBSD, leggi la documentazione prima di contattare <questions@FreeBSD.org>.
Per domande su questa documentazione, invia una e-mail a <doc@FreeBSD.org>.